Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.maven
Enum SignatureType

    java.lang.Object
      java.lang.Enum<SignatureType>
          org.modeshape.maven.SignatureType

All Implemented Interfaces:
  Serializable, Comparable<SignatureType>

    public enum SignatureType

extends Enum<SignatureType>

The type of signatures used by a Maven 2 repository.

Enum Constant Summary
`MD5`
`PGP`
`SHA1`

Method Summary
`String` | `getSuffix()`
`static SignatureType` | `valueBySuffix(String suffix)`
`static SignatureType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SignatureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MD5

    public static final SignatureType MD5

### SHA1

    public static final SignatureType SHA1

### PGP

    public static final SignatureType PGP

Method Detail

### values

    public static SignatureType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SignatureType c : SignatureType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SignatureType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getSuffix

    public String getSuffix()

### valueBySuffix

    public static SignatureType valueBySuffix(String suffix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.